Skip to main content
POST
/
endpoints
Create a new endpoint destination for an organization.
curl --request POST \
  --url https://test.didxtech.com/me-creds/api/endpoints \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "https://api.example.com/webhooks",
  "id": "optional-endpoint-id",
  "filterTypes": [
    "openid4vc.issuance.offered",
    "openid4vc.issuance.completed"
  ]
}
'
{
  "data": {
    "id": "du398r0fqd",
    "url": "https://api.example.com/endpoints",
    "createdAt": "2025-01-01T00:00:00.000Z",
    "updatedAt": "2025-01-01T00:00:00.000Z",
    "filterTypes": [
      "openid4vc.issuance.offered",
      "openid4vc.issuance.completed"
    ]
  },
  "links": {
    "self": "<string>",
    "first": "<string>",
    "last": "<string>",
    "prev": "<string>",
    "next": "<string>",
    "related": "<string>"
  },
  "meta": {},
  "errors": [
    {
      "detail": "<string>",
      "id": "<string>",
      "status": "<string>",
      "code": "<string>",
      "title": "<string>",
      "source": {
        "pointer": "<string>",
        "parameter": "<string>"
      },
      "meta": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
url
string<uri>
required
id
string
filterTypes
enum<string>[]
Available options:
openid4vc.issuance.offered,
openid4vc.issuance.completed,
openid4vc.issuance.failed,
openid4vc.issuance.partiallyIssued,
openid4vc.issuance.expired,
openid4vc.verification.requested,
openid4vc.verification.verified,
openid4vc.verification.failed,
openid4vc.verification.expired,
openid4vc.verification.data

Response

Created endpoint destination.

data
object
required
Example:
{
"id": "du398r0fqd",
"url": "https://api.example.com/endpoints",
"createdAt": "2025-01-01T00:00:00.000Z",
"updatedAt": "2025-01-01T00:00:00.000Z",
"filterTypes": [
"openid4vc.issuance.offered",
"openid4vc.issuance.completed"
]
}
meta
object
errors
object[]